PT BIA - Bug #3479

[BIA-ESS PMS] Menu Goal Setting
03/06/2025 09:33 AM - Mr Dhafin

Status: Deploy

Priority: High

Assignee: M Azid Wahyudi
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

03/06/2025
03/10/2025
0%

0.00 hour
8.00 hours

Description

Dear mas azid,

Mohon bantuannya mas, pada Header di Performance Goal Setting ada beberapa case diantaranya:

1. pada header, meminta Appraisal Type harus muncul di PMS Goal Setting.

2. Pada grid Appraiser semual field Appraiser minta untuk dimunculkan (nama atasannya langsung) dan button Add serta Delete di

hilangkan.

3. Pada grid Performance Commitment untuk dihilangkan popupnya.

Akses db: 192.168.3.105\MSSQLSERVER2022

Pass DB: nya MINOV@1s

Nama DB : MinovakES_BIA_BaseServerCloud

Port : http://remote.minovais.com:61139/

Terimakasih

History

#1 - 03/06/2025 09:41 AM - Kezia Pawitra Yulianti
- Subject changed from penambahan validasi goal setting to [BIA-ESS PMS] Menu Goal Setting

- Due date set to 03/10/2025
- Status changed from New to Assigned

- Priority changed from Normal to High

saya tambahkan dan koreksi sedikit ya:

1. pada header, meminta Appraisal Type harus muncul otomatis sesuai menunya yaitu Goal Setting.
pada field appraisal periode, masih belum muncul pilihan combo nya - periode yg muncul sesuai dgn data GS yg sudah ada atau belum (seperti bisa

zid). Jika sudah ada di master data HR dan on going ESS, maka periode itu tidak boleh muncul lagi sbg pilihan

2. Pada grid Appraiser, untuk dapat di autoload sesuai ketentuan OM (samakan dgn ketentuan final direct yg sudah ada skrg persis).

button Add serta Delete di hilangkan.

3. Pada grid Performance Commitment, field work activity nya bisa isi free text (jadi tidak perlu ada popup pilih KPI) - ini juga sama persis spt yg

sudah ada di menu final direct sbimnya.
field weight juga bisa diisi free text

Sementara itu koreksi dan detailnya
Tks

#2 - 03/11/2025 11:20 AM - M Azid Wahyudi
- Status changed from Assigned to QA Test

- Assignee changed from M Azid Wahyudi to Mr Dhafin

dear dafin , udah bisa di test ya

package :
bizproc (afterrender, init , method)
http://remote.minovais.com:61139/

defllow

sdatatablefield (phrpa0047)

custparam ( (ID = 'DirectSpviPMSG') OR
(ID = 'CondAppPMSG') OR

(ID = 'DirectSpv2PMSG') OR

(ID = 'CondApp3PMSG') OR

(ID = 'DirectSpv3PMSG'))

fieldpos

bizdata

makasih

#3 - 03/11/2025 03:07 PM - Kezia Pawitra Yulianti
- Assignee changed from Mr Dhafin to haykal haykal

#4 - 03/12/2025 04:35 PM - haykal haykal
- Status changed from QA Test to Deploy
- Assignee changed from haykal haykal to M Azid Wahyudi

Files

Appraiser harus autofill dari atasannya langsung.png 10.8 KB 03/06/2025 Mr Dhafin
Appraisal Type harus muncul Goal Setting.png 24.6 KB 03/06/2025 Mr Dhafin
Performance commitment tidak usah ada pop upnya, button di appraisé@ditiBngkan.pn@B/06/2025 Mr Dhafin
